VPN-1 Gateway NG FP 1

Known vulnerabilities detected

Our automated heuristics have identified vulnerabilities that may be associated with this certificate. See the CVEs section for details.

Certificate details

Certificate ID #234
Status historical
Historical reason Validation Sunsetting Policy - FIPS 140-1 Certificate
Validation dates 19.06.2002 , 28.06.2002 , 09.02.2004 , 19.05.2004 , 17.11.2005 , 06.01.2006 , 02.05.2008 , 28.05.2009
Standard FIPS 140-1
Security level 2
Type Software
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode
Exceptions
  • Operating System Security: Tested as meeting Level 2 with Microsoft Windows NT4.0 with SP6a
  • TCSEC C2-rated on a Compaq ProLiant 7000 Server
Description Check Point VPN-1 Gateway Next Generation (NG) is a tightly integrated software solution combining the FireWall-1® security suite with sophisticated VPN technologies. With Check Point’s Secure Virtual Network architecture, VPN-1 Gateway NG meets the demanding requirements of Internet, intranet, and extranet VPNs by providing secure connectivity to corporate networks, remote and mobile users, satellite offices, and key partners.
Vendor Check Point Software Technologies Ltd. http://www.checkpoint.com
Lab CYGNACOM SOLUTIONS INC
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, CAST, DES, TripleDES, 3DES, HMAC
Asymmetric Algorithms
DH, Diffie-Hellman
Hash functions
SHA-1, SHA1, MD5
Schemes
Key Exchange
Protocols
SSL, TLS, TLS v1.0, IKE, VPN
Randomness
PRNG
Block cipher modes
CBC

Vendor
Microsoft

Security level
Level 2, level 2

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

CVE matches

ID Links Severity CVSS Score Published on
Base score
CVE-2004-0699
C N
HIGH 7.5 28.09.2004

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 234,
  "dgst": "114bd151f8fb0c58",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "HMAC-SHA-1#69",
        "SHA-1#69",
        "RSA#1",
        "Triple-DES#80"
      ]
    },
    "cpe_matches": {
      "_type": "Set",
      "elements": [
        "cpe:2.3:a:checkpoint:vpn-1:-:*:*:*:*:*:*:*"
      ]
    },
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "1"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": {
      "_type": "Set",
      "elements": [
        "CVE-2004-0699"
      ]
    },
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 45,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "FF": {
          "DH": {
            "DH": 2,
            "Diffie-Hellman": 2
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 2
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 18
        },
        "TLS": {
          "SSL": {
            "SSL": 1
          },
          "TLS": {
            "TLS": 11,
            "TLS v1.0": 1
          }
        },
        "VPN": {
          "VPN": 6
        }
      },
      "crypto_scheme": {
        "KEX": {
          "Key Exchange": 1
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "fips_cert_id": {},
      "fips_certlike": {
        "Certlike": {
          "AES (128": 1,
          "HMAC-SHA-1": 1,
          "HMAC-SHA-1 (20": 1,
          "HMAC-SHA-1-96": 2,
          "PKCS#1": 2,
          "SHA-1": 3,
          "SHA1": 1
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 2": 2,
          "level 2": 3
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 1
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 3,
            "SHA1": 1
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "PRNG": 1
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-1": 18,
          "FIPS 180-1": 1,
          "FIPS 198": 1,
          "FIPS 46-2": 2,
          "FIPS PUB 197": 1
        },
        "PKCS": {
          "PKCS#1": 1
        },
        "RFC": {
          "RFC 2104": 2,
          "RFC 2246": 1,
          "RFC 2403": 1,
          "RFC 2404": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 1
          },
          "CAST": {
            "CAST": 1
          }
        },
        "DES": {
          "3DES": {
            "3DES": 1,
            "TripleDES": 2
          },
          "DES": {
            "DES": 8
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 1
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Microsoft": {
          "Microsoft": 7
        }
      },
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "HMAC-SHA-1#69",
        "SHA-1#69",
        "RSA#1",
        "Triple-DES#80"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": []
    },
    "policy_metadata": {
      "/Author": "dcurts",
      "/CreationDate": "D:20020605105850",
      "/Creator": "1B - VPN-1 Gateway NG FP1 Security Policy7.doc - Microsoft Word",
      "/Producer": "Acrobat PDFWriter 4.0 for Windows NT",
      "/Title": "1B - VPN-1 Gateway NG FP1 Security Policy7.PDF",
      "pdf_file_size_bytes": 1285034,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 22
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "2469c6139a085645ac15a6c3e7d4cbb5e93cd6f97d56fb8aef8d1c52293c6fa7",
      "source_hash": "1b06edcb11377ecbac24d6a957305b0a9becb25f3a65de22690786f524455e91",
      "txt_hash": "91c5ce8fef36ba43aff78f38e268fd258b4e0c5b2b9b681a8aa7287e775766a9"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/140crt234.pdf",
    "date_sunset": null,
    "description": "Check Point VPN-1 Gateway Next Generation (NG) is a tightly integrated software solution combining the FireWall-1\u00ae security suite with sophisticated VPN technologies. With Check Point\u2019s Secure Virtual Network architecture, VPN-1 Gateway NG meets the demanding requirements of Internet, intranet, and extranet VPNs by providing secure connectivity to corporate networks, remote and mobile users, satellite offices, and key partners.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Operating System Security: Tested as meeting Level 2 with Microsoft Windows NT4.0 with SP6a",
      "TCSEC C2-rated on a Compaq ProLiant 7000 Server"
    ],
    "fw_versions": null,
    "historical_reason": "Validation Sunsetting Policy - FIPS 140-1 Certificate",
    "hw_versions": null,
    "level": 2,
    "mentioned_certs": {},
    "module_name": "VPN-1 Gateway NG FP 1",
    "module_type": "Software",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-1",
    "status": "historical",
    "sw_versions": "NG FP1",
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2002-06-19",
        "lab": "CYGNACOM SOLUTIONS INC",
        "validation_type": "Initial"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2002-06-28",
        "lab": "",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2004-02-09",
        "lab": "",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2004-05-19",
        "lab": "",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2005-11-17",
        "lab": "",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2006-01-06",
        "lab": "",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2008-05-02",
        "lab": "",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2009-05-28",
        "lab": "",
        "validation_type": "Update"
      }
    ],
    "vendor": "Check Point Software Technologies Ltd.",
    "vendor_url": "http://www.checkpoint.com"
  }
}